Clipform
Analytics

List submissions

Returns a form's submissions.

GET
/forms/{formId}/submissions

Authorization

bearerAuth
AuthorizationBearer <token>

API key (cf_*) passed as Bearer token

In: header

Path Parameters

formId*string

Query Parameters

submission_id?string

Filter to the response_set with this id (may still return more than one row if it has multiple completed sessions).

Response Body

application/json

application/json

curl -X GET "https://example.com/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08/submissions"
[  {    "submission_id": "945dfedc-ad7f-4af7-b20c-06082ffa3cb3",    "response_set_id": "ac7eb6e9-464b-41e0-94db-4108c750c04e",    "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82",    "status": "string",    "processing_status": "string",    "created_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "last_activity_at": "2019-08-24T14:15:22Z",    "total_sessions": 0,    "total_responses": 0,    "contact_email": "string",    "contact_first_name": "string",    "contact_last_name": "string",    "node_responses": {},    "locked": true  }]
{  "code": "VALIDATION_ERROR",  "error": "string",  "details": null}